Class Fox::FXGLCube

In: | ../lib/fox/glshapes.rb
Parent: | FXGLShape

OpenGL cube object

Methods

drawshape new

Attributes

depth | [RW] | Cube depth [Float]
height | [RW] | Cube height [Float]
width | [RW] | Cube width [Float]

Public Class methods

new(*args)

Return an initialized FXGLCube instance.

One option is to initialize the cube with a specified origin, width, height and depth:

        aCube = FXGLCube.new(x, y, z, w, h, d)

If left unspecified, the width (w), height (h) and depth (d) default to 1.0.

Another option is to initialize the cube with a specified origin, width, height, depth and material:

        aCube = FXGLCube.new(x, y, z, w, h, d, material)

where the material is an FXMaterial instance.

Public Instance methods

drawshape(viewer)

Draws this cube into viewer (an FXGLViewer instance).